%bcond doc_pdf 1

Summary:        HelpDev – Extracts information about the Python environment easily
Name:           python-helpdev
Version:        0.7.1
Release:    1%{?dist}

%global forgeurl https://gitlab.com/dpizetta/helpdev
%global tag v%{version}

License:        MIT
URL:            %{forgeurl}
Source0:         helpdev-v0.7.1.tar.bz2

Patch:          %{forgeurl}/-/merge_requests/4.patch

BuildArch:      noarch
 
BuildRequires:  python3-devel

BuildRequires:  %{py3_dist pytest}

BuildRequires:  help2man

%if %{with doc_pdf}
BuildRequires:  make
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-sphinx-latex
BuildRequires:  latexmk
%endif

%global common_description %{expand:
Helping users and developers to get information about the environment to report
bugs or even test your system without spending a day on it. It can get
information about hardware, OS, paths, Python distribution and packages,
including Qt-things.}

%description %{common_description}


%package -n python3-helpdev
Summary:        %{summary}

Recommends:     python3-helpdev+memory_info = %{version}-%{release}

%description -n python3-helpdev %{common_description}


%package -n python3-helpdev+memory_info
Summary: Subpackage for python3-helpdev with extra memory_info dependencies
Requires: python3-helpdev

%description -n python3-helpdev+memory_info
This is the subpackage for python3-helpdev with extra memory_info dependencies.

%files -n python3-helpdev+memory_info -f %{_pyproject_ghost_distinfo}



%package doc
Summary:        Documentation and examples for HelpDev

License:        MIT AND CC-BY-4.0

%description doc
This package includes documentation and examples for HelpDev.


%prep
%autosetup -p1 -n helpdev-v0.7.1


%generate_buildrequires
%pyproject_buildrequires -x memory_info


%build
%pyproject_wheel

%if %{with doc_pdf}
PYTHONPATH="${PWD}" %make_build -C docs latex \
    SPHINXOPTS='-j%{?_smp_build_ncpus}'
%make_build -C build/docs/latex LATEXMKOPTS='-quiet'
%endif


%install
%pyproject_install
%pyproject_save_files helpdev

install -d '%{buildroot}%{_mandir}/man1'
PYTHONPATH='%{buildroot}%{python3_sitelib}' help2man \
    --no-info --output='%{buildroot}%{_mandir}/man1/helpdev.1' \
    '%{buildroot}%{_bindir}/helpdev'


%check
%pytest -v


%files -n python3-helpdev -f %{pyproject_files}
%{_bindir}/helpdev
%{_mandir}/man1/helpdev.1*


%files doc
%license LICENSE.rst

%doc CHANGES.rst
%doc README.rst

%doc examples/

%if %{with doc_pdf}
%doc build/docs/latex/helpdev.pdf
%endif


%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-1
- initial build
